﻿using System;
using UnityEngine;

public class AcquiredAttributeUnit : MonoBehaviour
{
	private void Awake()
	{
		this.label_ = UTY.GetChildObject(base.gameObject, "Name", false).GetComponent<UILabel>();
	}

	public void SetActive(bool value)
	{
		base.gameObject.SetActive(value);
	}

	public bool IsActive()
	{
		return base.gameObject.activeSelf;
	}

	public void SetText(string text)
	{
		this.label_.text = text;
	}

	private UILabel label_;
}
